Bug 180558 - kdevelop fails to build in rawhide
Summary: kdevelop fails to build in rawhide
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On: 180557
Blocks: 180559
TreeView+ depends on / blocked
 
Reported: 2006-02-08 23:43 UTC by Jesse Keating
Modified: 2013-01-10 02:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 00:20:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Keating 2006-02-08 23:43:21 UTC
Please see
http://porkchop.redhat.com/beehive/logs/kdevelop-693198-x86_64-hs20-bc2-4.build.redhat.com.log

if test "$ret" = 0; then echo '#include "addprofilewidget.moc"' >>
addprofilewidget.cpp; else rm -f addprofilewidget.cpp ; exit $ret ; fi
/bin/sh ../../../libtool --silent --tag=CXX --mode=compile
x86_64-redhat-linux-g++ -DHAVE_CONFIG_H -I. -I. -I../../.. -I../../../lib
-I../../../lib/external_interfaces -I../../../lib/interfaces -I../../../lib/util
-I../../../lib/widgets -I../../../src/profileengine/lib 
-I../../../lib/structure -I/usr/include/kde -I/usr/lib64/qt-3.3/include -I.  
-DQT_THREAD_SUPPORT  -D_REENTRANT  -DNDEBUG -DNO_DEBUG -O2 -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -fno-exceptions -fno-check-new -fno-common
-DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT
-DQT_NO_TRANSLATION  -c -o profileeditorbase.lo profileeditorbase.cpp
profileeditor.h:28: error: expected class-name before '{' token
profileeditor.h:38: error: 'QListBoxItem' has not been declared
profileeditor.h:39: error: 'QListViewItem' has not been declared
profileeditor.h:28: warning: 'class ProfileEditor' has virtual functions but
non-virtual destructor
main.cpp: In function 'int main(int, char**)':
main.cpp:41: error: 'class ProfileEditor' has no member named 'show'
main.cpp:42: error: no matching function for call to
'KApplication::setMainWidget(ProfileEditor*)'
/usr/lib64/qt-3.3/include/qapplication.h:122: note: candidates are: virtual void
QApplication::setMainWidget(QWidget*)
/bin/sh ../../../libtool --silent --tag=CXX --mode=compile
x86_64-redhat-linux-g++ -DHAVE_CONFIG_H -I. -I. -I../../.. -I../../../lib
-I../../../lib/external_interfaces -I../../../lib/interfaces -I../../../lib/util
-I../../../lib/widgets -I../../../src/profileengine/lib 
-I../../../lib/structure -I/usr/include/kde -I/usr/lib64/qt-3.3/include -I.  
-DQT_THREAD_SUPPORT  -D_REENTRANT  -DNDEBUG -DNO_DEBUG -O2 -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -fno-exceptions -fno-check-new -fno-common
-DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT
-DQT_NO_TRANSLATION  -c -o addprofilewidget.lo addprofilewidget.cpp
make[4]: *** [main.o] Error 1


Note You need to log in before you can comment on or make changes to this bug.